Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface EngineConfiguration

All Known Subinterfaces:
  WSDDEngineConfiguration

All Known Implementing Classes:
  FileProvider, NullProvider, SimpleProvider, WSDDDeployment

public interface EngineConfiguration

EngineConfiguration is an interface that the Message Flow subsystem provides so that engine configuration can be provided in a pluggable way. An instance of EngineConfiguration provides configuration for a particular engine instance.

Concrete implementations of this interface will obtain configuration information from some source (examples might be files, Strings, or databases) and are responsible for writing it into an AxisEngine, and writing an AxisEngine's state back out to whatever storage medium is in use.

Author:
  Glyn Normington (glyn@apache.org), Glen Daniels (gdaniels@macromedia.com)

Field Summary
`static String` | `PROPERTY_NAME` Property name used for setting an EngineConfiguration to be used in creating engines.

Method Summary
`void` | `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`Iterator` | `getDeployedServices()` Get an enumeration of the services deployed to this engine, these are represented as ServiceDesc objects
`Hashtable` | `getGlobalOptions()` Returns the global configuration options.
`Handler` | `getGlobalRequest()` Returns a global request handler.
`Handler` | `getGlobalResponse()` Returns a global response handler.
`Handler` | `getHandler(javax.xml.namespace.QName qname)` retrieve an instance of the named handler
`SOAPService` | `getService(javax.xml.namespace.QName qname)` retrieve an instance of the named service
`SOAPService` | `getServiceByNamespaceURI(String namespace)` Get a service which has been mapped to a particular namespace
`Handler` | `getTransport(javax.xml.namespace.QName qname)` retrieve an instance of the named transport
`TypeMappingRegistry` | `getTypeMappingRegistry()` Retrieve the TypeMappingRegistry for this engine
`void` | `writeEngineConfig(AxisEngine engine)` Read the configuration from an engine, and store it somehow.

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  Property name used for setting an EngineConfiguration to be used in creating engines.

  See Also:
    Constant Field Values

Method Detail

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Configure this AxisEngine using whatever data source we have.

  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Read the configuration from an engine, and store it somehow.

  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getHandler

    public Handler getHandler(javax.xml.namespace.QName qname)
                       throws ConfigurationException

  retrieve an instance of the named handler

  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getService

    public SOAPService getService(javax.xml.namespace.QName qname)
                           throws ConfigurationException

  retrieve an instance of the named service

  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(String namespace)
                                         throws ConfigurationException

  Get a service which has been mapped to a particular namespace

  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null
  Throws:
    `ConfigurationException`

### getTransport

    public Handler getTransport(javax.xml.namespace.QName qname)
                         throws ConfigurationException

  retrieve an instance of the named transport

  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Retrieve the TypeMappingRegistry for this engine

  Throws:
    `ConfigurationException`

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Returns a global request handler.

  Throws:
    `ConfigurationException`

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Returns a global response handler.

  Throws:
    `ConfigurationException`

### getGlobalOptions

    public Hashtable getGlobalOptions()
                               throws ConfigurationException

  Returns the global configuration options.

  Throws:
    `ConfigurationException`

### getDeployedServices

    public Iterator getDeployedServices()
                                 throws ConfigurationException

  Get an enumeration of the services deployed to this engine, these are represented as ServiceDesc objects

  Returns:
    something to iterate with
  Throws:
    `ConfigurationException`
  See Also:
    `ServiceDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.